.search-bar_filled .search-bar__main-search-bar-input span {
  color: black;
}
.search-bar_minimized .search-bar__container {
  display: none;
}
.search-bar_hide-nav .search-bar__suggestions {
  display: none;
}
.search-bar__catalog {
  position: relative;
  width: 100%;
}
.search-bar__catalog-overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 8070;
  width: 100%;
  height: 100vh;
  height: 100svh;
  height: 100dvh;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.4);
  background-color: transparent;
  transition: background-color 0.3s ease, display 0.3s ease allow-discrete;
  transition-behavior: allow-discrete;
  display: none;
}
.search-bar__catalog-overlay_visible {
  display: flex;
  background-color: rgba(0, 0, 0, 0.4);
}
.search-bar__catalog-overlay_visible .search-bar__catalog-tree {
  opacity: 1;
  height: 100%;
}
@media (min-width: 760px) {
  .search-bar__catalog-overlay_fixed {
    position: fixed;
    top: 75px;
  }
}
.search-bar__catalog-overlay_embed {
  position: static;
  height: auto;
  background-color: transparent;
}
.search-bar__catalog-overlay_embed .search-bar__catalog-tree {
  max-height: none;
}
.search-bar__catalog-overlay_embed .search-bar__catalog-tree-levels {
  grid-template-columns: repeat(1, 1fr) !important;
  border-radius: 16px;
  background-color: white;
}
.search-bar__catalog-overlay_subcategory .search-bar__catalog-tree-header {
  display: block;
  opacity: 1;
  max-height: 100px;
  margin-bottom: 20px;
}
@starting-style {
  .search-bar__catalog-overlay_subcategory .search-bar__catalog-tree-header {
    opacity: 0;
    max-height: 0px;
    margin-bottom: 0px;
  }
}
.search-bar__catalog-tree {
  width: 100%;
  max-height: 600px;
  height: 0%;
  opacity: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
  border: none;
  overflow: hidden;
  transition: height 0.2s ease, opacity 0.2s ease;
}
@media (max-width: 959px) {
  .search-bar__catalog-tree {
    max-height: 100%;
  }
}
.search-bar__catalog-tree .container {
  padding-top: 8px;
}
.search-bar__catalog-tree-container {
  width: 100%;
  background-color: white;
  display: flex;
  flex-direction: column;
}
@media (min-width: 959px) {
  .search-bar__catalog-tree-container {
    max-height: 528px;
    overflow: hidden auto;
  }
}
@media (max-width: 760px) {
  .search-bar__catalog-tree-container {
    background-color: #f3f4f5;
  }
}
.search-bar__catalog-tree-header {
  display: none;
  opacity: 0;
  max-height: 0px;
  margin-bottom: 0px;
  transition: opacity 0.3s ease, margin-bottom 0.3s ease, max-height 0.3s ease, display 0.3s ease allow-discrete;
}
.search-bar__catalog-tree-header-back-btn {
  box-sizing: border-box;
  padding: 12px 16px;
  display: flex;
  gap: 10px;
  align-items: center;
  text-decoration: none;
}
.search-bar__catalog-tree-header-back-btn img {
  user-select: none;
  -webkit-user-drag: none;
}
.search-bar__catalog-tree-header-back-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 100%;
}
.search-bar__catalog-tree-header-title {
  box-sizing: border-box;
  padding: 0 16px;
  font-family: var(--font-random-grotesque-standard);
  font-weight: 400;
  font-size: 26px;
  color: #1d2c40;
  line-height: 110%;
}
.search-bar__catalog-tree-levels {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}
@media (max-width: 1660px) {
  .search-bar__catalog-tree-levels {
    grid-template-columns: repeat(3, 1fr);
    overflow-y: auto;
  }
}
@media (max-width: 959px) {
  .search-bar__catalog-tree-levels {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 760px) {
  .search-bar__catalog-tree-levels {
    grid-template-columns: repeat(1, 1fr);
    border-radius: 16px;
    background-color: white;
  }
}
.search-bar__catalog-tree-level {
  box-sizing: border-box;
  padding: 20px 0 0 32px;
}
@media (max-width: 760px) {
  .search-bar__catalog-tree-level {
    padding: 12px 0;
  }
}
.search-bar__catalog-tree-level:not(:has(.search-bar__catalog-tree-level-item)) {
  display: none;
}
.search-bar__catalog-tree-level-item {
  box-sizing: border-box;
  padding: 9px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-decoration: none;
  border: none;
  cursor: pointer;
  opacity: 0.5;
}
.search-bar__catalog-tree-level-item_active,
.search-bar__catalog-tree-level-item:hover {
  opacity: 1;
}
@media (max-width: 959px) {
  .search-bar__catalog-tree-level-item {
    transition: background-color 0.3s ease;
  }
  .search-bar__catalog-tree-level-item:hover {
    background-color: rgba(29, 44, 64, 0.05);
  }
}
@media (max-width: 760px) {
  .search-bar__catalog-tree-level-item {
    padding: 16px;
    border-bottom: 1px solid rgba(29, 44, 64, 0.05);
    opacity: 1;
  }
}
.search-bar__catalog-tree-level-item span {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
}
.search-bar__catalog-tree-level-item img {
  visibility: hidden;
  user-select: none;
  -webkit-user-drag: none;
}
.search-bar__catalog-tree-level-item_extendable img {
  visibility: visible;
}
.search-bar__catalog-tree-level-item_highlighted span {
  font-weight: 500;
}
@starting-style {
  .search-bar__catalog .search-bar__catalog-overlay_visible {
    background-color: transparent;
  }
  .search-bar__catalog .search-bar__catalog-overlay_visible .search-bar__catalog-tree {
    height: 0%;
    opacity: 0;
  }
}
.search-bar__container {
  display: flex;
  flex-direction: column;
  gap: 16px;
  padding-top: 16px !important;
  padding-bottom: 20px !important;
}
.search-bar__main {
  display: flex;
  gap: 8px;
  position: relative;
}
.search-bar__main-catalog-btn {
  box-sizing: border-box;
  padding: 16px;
  border-radius: 16px;
  background-color: #fcf806;
  border: 2px solid transparent;
  text-decoration: none;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.search-bar__main-catalog-btn_open {
  background-color: rgba(252, 248, 6, 0.3);
  border: 2px solid #fcda06;
}
.search-bar__main-catalog-btn_open:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .search-bar__main-catalog-btn_open:hover {
    background-color: #fcda06;
  }
}
.search-bar__main-catalog-btn:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .search-bar__main-catalog-btn:hover {
    background-color: #fcda06;
  }
}
.search-bar__main-catalog-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 500;
  font-size: 17px;
  color: black;
  line-height: 100%;
  -webkit-user-select: none;
}
.search-bar__main-catalog-btn img {
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.search-bar__main-search-bar {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  padding: 11px 0 11px 12px;
  border-radius: 12px;
  background-color: rgba(29, 44, 64, 0.05);
}
.search-bar__main-search-bar-input {
  border: none;
  background-color: transparent;
  width: 100%;
  height: 100%;
  outline: none;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  cursor: pointer;
  display: flex;
  justify-content: start;
  align-items: center;
  overflow: hidden;
}
.search-bar__main-search-bar-input span {
  -webkit-user-select: none;
  color: rgba(29, 44, 64, 0.5);
  cursor: text;
}
.search-bar__main-search-bar-search-btn {
  border: none;
  box-sizing: border-box;
  height: 100%;
  padding: 0 16px;
  background-color: transparent;
  cursor: pointer;
}
.search-bar__main-search-bar-search-btn:active {
  opacity: 0.8;
}
@media (hover: hover) and (pointer: fine) {
  .search-bar__main-search-bar-search-btn:hover {
    opacity: 0.8;
  }
}
.search-bar__main-search-bar-search-btn-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
}
.search-bar__main-nav-menu {
  display: flex;
  gap: 4px;
}
.search-bar__main-nav-menu-item {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  padding: 3px 6px;
  text-decoration: none;
  border-radius: 10px;
}
.search-bar__main-nav-menu-item:active {
  background-color: rgba(29, 44, 64, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .search-bar__main-nav-menu-item:hover {
    background-color: rgba(29, 44, 64, 0.05);
  }
}
.search-bar__main-nav-menu-item_counter-visible .search-bar__main-nav-menu-item-icon-notification-counter {
  display: block;
}
.search-bar__main-nav-menu-item-icon {
  width: 16px;
  height: 16px;
  position: relative;
}
.search-bar__main-nav-menu-item-icon-img {
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.search-bar__main-nav-menu-item-icon-notification-counter {
  position: absolute;
  bottom: -9px;
  left: 10px;
  box-sizing: border-box;
  padding: 2px 4px;
  border-radius: 50px;
  font-family: var(--font-mevermind-compact);
  font-weight: 600;
  font-size: 13px;
  color: white;
  line-height: 135%;
  -webkit-user-select: none;
  -webkit-user-modify: read-only;
  pointer-events: none;
  background-color: red;
  display: none;
}
.search-bar__main-nav-menu-item-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 135%;
  -webkit-user-select: none;
}
.search-bar__suggestions {
  width: 100%;
  overflow-x: hidden;
}
.search-bar__suggestions-area {
  display: flex;
}
.search-bar__suggestion {
  box-sizing: border-box;
  display: flex;
  gap: 4px;
  align-items: center;
  flex-shrink: 0;
  padding: 8px 10px;
  background-color: rgba(29, 44, 64, 0.05);
  border-radius: 100px;
  text-decoration: none;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.search-bar__suggestion:hover {
  background-color: rgba(29, 44, 64, 0.1);
}
.search-bar__suggestion.swiper-slide {
  width: auto;
}
.search-bar__suggestion-icon {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  width: 15px;
  height: 15px;
}
.search-bar__suggestion-text {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 15px;
  color: black;
  line-height: 100%;
  white-space: nowrap;
  -webkit-user-select: none;
}
.search-bar__global-search {
  --gsearch-pt: 94px;
  position: fixed;
  top: 0;
  left: calc(100vw + 30px);
  width: 100%;
  height: 100vh;
  height: 100svh;
  height: 100dvh;
  z-index: -2;
  background-color: rgba(0, 0, 0, 0.4);
  display: flex;
  justify-content: center;
  align-items: start;
  box-sizing: border-box;
  padding: var(--gsearch-pt) 465px 16px 320px;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.search-bar__global-search_rendered {
  left: 0;
  visibility: visible;
  z-index: 8100;
}
.search-bar__global-search_opened {
  opacity: 1;
}
.search-bar__global-search-bar {
  display: flex;
  flex-direction: column;
  gap: 4px;
  width: 100%;
  max-width: 100%;
}
.search-bar__global-search-bar-form {
  box-sizing: border-box;
  padding: 2px;
  width: 100%;
  height: 44px;
  display: flex;
  background-color: white;
  border-radius: 12px;
  overflow: hidden;
}
.search-bar__global-search-bar-form-input {
  box-sizing: border-box;
  padding-left: 10px;
  border: none;
  background-color: transparent;
  width: 100%;
  height: 100%;
  outline: none;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
}
.search-bar__global-search-bar-form-input:focus,
.search-bar__global-search-bar-form-input:focus-visible {
  outline: none !important;
  box-shadow: none !important;
}
.search-bar__global-search-bar-form-submit-btn {
  box-sizing: border-box;
  height: 100%;
  padding: 0 16px;
  border-radius: 10px;
  border: none;
  background-color: #fcf806;
  cursor: pointer;
  transition: background-color 0.2s ease-out;
}
.search-bar__global-search-bar-form-submit-btn:hover {
  background-color: #fcda06;
}
.search-bar__global-search-bar-form-submit-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
}
.search-bar__global-search-bar-suggestions {
  box-sizing: border-box;
  padding: 16px 12px;
  max-height: calc(100vh - var(--gsearch-pt) - 44px - 4px - 16px);
  max-height: calc(100svh - var(--gsearch-pt) - 44px - 4px - 16px);
  max-height: calc(100dvh - var(--gsearch-pt) - 44px - 4px - 16px);
  width: 100%;
  background-color: white;
  border-radius: 12px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 24px;
  overflow-y: auto;
}
.search-bar__global-search-bar-suggestions-section {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.search-bar__global-search-bar-suggestions-section-title {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 13px;
  color: rgba(29, 44, 64, 0.5);
  line-height: 135%;
  margin: 0;
}
.search-bar__global-search-bar-suggestions-section-query-list {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.search-bar__global-search-bar-suggestions-section-query-list-item {
  box-sizing: border-box;
  padding: 6px 12px;
  width: 100%;
  border-radius: 10px;
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 135%;
  text-decoration: none;
  cursor: pointer;
  background-color: transparent;
  transition: background-color 0.1s ease;
}
.search-bar__global-search-bar-suggestions-section-query-list-item:hover {
  background-color: rgba(29, 44, 64, 0.05);
}
.search-bar__global-search-bar-suggestions-section-product-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 12px;
}
.search-bar__global-search-bar-suggestions-expand-btn {
  box-sizing: border-box;
  padding: 16px;
  width: 100%;
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 10px;
  border: none;
  border-radius: 10px;
  background-color: transparent;
  text-decoration: none;
  cursor: pointer;
  transition: background-color 0.1s ease;
}
.search-bar__global-search-bar-suggestions-expand-btn span {
  font-family: var(--font-mevermind-compact);
  font-weight: 400;
  font-size: 17px;
  color: black;
  line-height: 100%;
  text-decoration: none;
  -webkit-user-select: none;
}
.search-bar__global-search-bar-suggestions-expand-btn img {
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.search-bar__global-search-bar-suggestions-expand-btn:hover {
  background-color: rgba(29, 44, 64, 0.05);
}
@media (max-width: 1599px) {
  .search-bar__global-search {
    padding: var(--gsearch-pt) 270px 16px 130px;
  }
  .search-bar__global-search-bar-suggestions-section-product-list {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 959px) {
  .search-bar__main {
    display: none;
  }
  .search-bar__container {
    padding-top: 0 !important;
  }
  .search-bar__global-search {
    --gsearch-pt: 16px;
    padding: var(--gsearch-pt) 16px 16px 16px;
  }
}
@media (max-width: 639px) {
  .search-bar__global-search-bar-form-submit-btn {
    display: none;
  }
  .search-bar__global-search-bar-suggestions-section-product-list {
    grid-template-columns: 1fr;
  }
}